showTreeLines function doesn't seem to do anything
Description

| used both the final release as the experimental release, but the showTreeLines function doesn't seem to do anything.
What | expect this function to do is removing the treelines between parent/child nodes, don't see this happening.

Is it possible to have a solution for this on short term?

History

#1 - 04/20/2012 12:15 PM - Imre Tokai

- File servoy-treeview.jar added

Hi Marc,
Test attached version, please
Have done some research on showTreeLines() issue and found out so far that this configuration is supported only in MetalLookAndFeel.

Regards
#2 - 04/20/2012 12:29 PM - Marc Boegem
Hi Imre,

did you change things in terms of pushing the Metal LAF?
Because | tested this in an environment where a special LAF is used and now the whole Ul is screwed...

#3 - 04/20/2012 12:53 PM - Marc Boegem

Indeed the plugin is now pushing the Metal LAF, which will not work for the solutions this bean will be used in.
Any chance there's another way of getting this to work?

Thnkx!
#4 - 04/20/2012 04:39 PM - Imre Tokai

- File withAndWithoutLines.jpg added

- Status changed from New to In Progress

Looks correct in example solution, see attached please.

showTreelLines() seems to be supported only for javax.swing.plaf.metal.MetalLookAndFeel

but let me know what LAF do you prefer (precise class, screenshot, example solution...) and we'll see if Servoy Treeview Bean is adoptable. Note:
doesn't work for default neither as we know already.

Regards

#5 - 04/20/2012 04:53 PM - Marc Boegem

Hi Imre,

| basically needed this for 2 customers.
1 using the default LAF, 1 using a Centigrade LAF.

But if it needs to be such a specific function for a LAF, maybe it's better to just close the issue.
Though a bit more documentation on this feature could help future requests.

Thnkx anyway for looking into it.
#6 - 12/30/2013 05:35 PM - Imre Tokai

- Assignee set to Imre Tokai

Feature should be available in servoy-treeview-experimental.jar
If further work is needed, reopen/create case, please

Regards

#7 - 12/30/2013 05:38 PM - Imre Tokai

- Status changed from In Progress to Resolved

Files

servoy-treeview.jar 104 KB 04/20/2012 Imre Tokai

withAndWithoutLines.jpg 182 KB 04/20/2012 Imre Tokai
04/27/2025 22


http://www.tcpdf.org

